CREATE TABLE ffs_utype (
    TYPE_ID               NUMBER(18, 0) ,
    LABEL                 VARCHAR2(4000)    NOT NULL,
    DISPLAY_PROFILE_ID    NUMBER(10, 0) ,
    STATUS                VARCHAR2(32)  ,
    IS_MAINTENANCE        NUMBER(3, 0)      NOT NULL,
    USER_TYPE_COMMENT     VARCHAR2(4000),
    APPLICATION_ID        NUMBER(10, 0)     NOT NULL,
    CREATED_BY            VARCHAR2(256)     NOT NULL,
    CREATION_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128) ,
    SEED_DATA_SOURCE      VARCHAR2(2048),
    ORA_SEED_SET1         VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2         VARCHAR2(4)       NOT NULL,
    DELETED_FLAG          VARCHAR2(4)   ,
    JOB_ROLES             VARCHAR2(4000),
    TYPE_ID               NUMBER(18, 0) ,
    LABEL                 VARCHAR2(4000)    NOT NULL,
    DISPLAY_PROFILE_ID    NUMBER(10, 0) ,
    STATUS                VARCHAR2(32)  ,
    IS_MAINTENANCE        NUMBER(3, 0)      NOT NULL,
    USER_TYPE_COMMENT     VARCHAR2(4000),
    APPLICATION_ID        NUMBER(10, 0)     NOT NULL,
    CREATED_BY            VARCHAR2(256)     NOT NULL,
    CREATION_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128) ,
    SEED_DATA_SOURCE      VARCHAR2(2048),
    ORA_SEED_SET1         VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2         VARCHAR2(4)       NOT NULL,
    DELETED_FLAG          VARCHAR2(4)   ,
    JOB_ROLES             VARCHAR2(4000),
    CONSTRAINT pk_ffs_utype PRIMARY KEY (TYPE_ID, TYPE_ID)
);
